package com.ruoyi.system.service_yada.impl;

import com.ruoyi.system.domain_yada.ThematicMapDomain;
import com.ruoyi.system.mapper_yada.ThematicMapMapper;
import com.ruoyi.system.service_yada.ThematicMapService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * * 专题图服务
 * @author : taco chen
 */
@Service
public class ThematicMapServiceImpl implements ThematicMapService {

    @Resource
    private ThematicMapMapper thematicMapMapper;

    /**
     * 获取全部专题图
     * @return
     */
    @Override
    public List<ThematicMapDomain> selectAll(){
        return thematicMapMapper.selectAllThematicMap();
    }

    /**
     * 删除专题图根据编号
     * @param id 编号
     * @return
     */
    @Override
    public Integer deleteById(Long id){
        return thematicMapMapper.deleteThematicMap(id);
    }

    /**
     * 保存专题图
     * @param thematicMapDomain
     * @return
     */
    @Override
    public Integer save(ThematicMapDomain thematicMapDomain){
        return thematicMapMapper.saveThematicMap(thematicMapDomain);
    }
}
